org.omg.CORBA

## Interface DomainManager

All Superinterfaces:
  DomainManagerOperations, IDLEntity, Object, Serializable

    public interface DomainManager
    extends DomainManagerOperations, Object, IDLEntity

Provides mechanisms for establishing and navigating relationships to superior and subordinate domains, as well as for creating and accessing policies. The `DomainManager` has associated with it the policy objects for a particular domain. The domain manager also records the membership of the domain and provides the means to add and remove members. The domain manager is itself a member of a domain, possibly the domain it manages. The domain manager provides mechanisms for establishing and navigating relationships to superior and subordinate domains and creating and accessing policies.

### Method Summary

### Methods inherited from interface org.omg.CORBA.DomainManagerOperations

`get_domain_policy`

### Methods inherited from interface org.omg.CORBA.Object

`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`